/**********************************************************************
 *
 * cgiutils.h -- general cgi utilities
 * Copyright (C) 1999  The New Zealand Digital Library Project
 *
 * PUT COPYRIGHT NOTICE HERE
 *
 * $Id: cgiutils.h 108 1999-01-08 08:41:38Z rjmcnab $
 *
 *********************************************************************/


#ifndef CGIUTILS_H
#define CGIUTILS_H

#include "text_t.h"
#include "cgiargs.h"

// convert %xx and + to their appropriate equivalents
void decode_cgi_arg (text_t &argstr);

// split up the cgi arguments
void parse_cgi_args (text_t argstr, cgiargsclass &args);

// returns the encoded version of a cgi argument
text_t cgi_safe (const text_t &intext);

#endif
