/**********************************************************************
 *
 * fileutil.h -- a few useful file utilities
 * Copyright (C) 1999  The New Zealand Digital Library Project
 *
 * PUT COPYRIGHT NOTICE HERE
 *
 * $Id: fileutil.h 100 1999-01-08 02:33:16Z rjmcnab $
 *
 *********************************************************************/


#ifndef FILEUTIL_H
#define FILEUTIL_H

#include "text_t.h"


// returns the proper concatenation of the two paths
text_t filename_cat (text_t path1, text_t path2);

// returns true if filename can be opened
bool file_exists (const text_t &filename);


#endif
